Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IShadowVolumeSceneNode Class Reference

Scene node for rendering a shadow volume into a stencil buffer. More...

`#include <IShadowVolumeSceneNode.h>`

Inheritance diagram for irr::scene::IShadowVolumeSceneNode:

List of all members.

## Public Member Functions
| IShadowVolumeSceneNode (ISceneNode *parent, ISceneManager *mgr, s32 id)
| constructor
virtual void | setShadowMesh (const IMesh *mesh)=0
| Sets the mesh from which the shadow volume should be generated.
virtual void | updateShadowVolumes ()=0
| Updates the shadow volumes for current light positions.

## Detailed Description

Scene node for rendering a shadow volume into a stencil buffer.

Definition at line 17 of file IShadowVolumeSceneNode.h.

## Constructor & Destructor Documentation

irr::scene::IShadowVolumeSceneNode::IShadowVolumeSceneNode | ( | ISceneNode * | parent,
|  | ISceneManager * | mgr,
|  | s32 | id |
| ) |  |  | `[inline]`

constructor

Definition at line 22 of file IShadowVolumeSceneNode.h.

## Member Function Documentation

virtual void irr::scene::IShadowVolumeSceneNode::setShadowMesh | ( | const IMesh * | mesh | ) | `[pure virtual]`

Sets the mesh from which the shadow volume should be generated.

To optimize shadow rendering, use a simpler mesh for shadows.

virtual void irr::scene::IShadowVolumeSceneNode::updateShadowVolumes | ( |  | ) | `[pure virtual]`

Updates the shadow volumes for current light positions.

The documentation for this class was generated from the following file:

- IShadowVolumeSceneNode.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:08 2010 by Doxygen (1.6.2)